//----------------------------------------------------------------------------//
// P2.H -- Strukturdefinition fr die Ergebnisse von GetSystemMetrics         //
//----------------------------------------------------------------------------//
// Das folgende Makro ermittelt die Anzahl der Strukturen im unten stehenden  //
// Array "sysmetrics", indem es die Gre des Arrays (in Byte) durch die      //
// Gre eines Array-Eintrags (= 1 Struktur) teilt                            //
//----------------------------------------------------------------------------//
#define NUMLINES (sizeof sysmetrics / sizeof sysmetrics [0])

struct { int  nIndex; char *szLabel; char *szDesc; } sysmetrics [] =
{
{SM_CXSCREEN,         "SM_CXSCREEN",         "Bildschirmbreite",              },
{SM_CYSCREEN,         "SM_CYSCREEN",         "Bildschirmhhe",                },
{SM_CXVSCROLL,        "SM_CXVSCROLL",        "Breite vertikaler Rollpfeil",   },
{SM_CYHSCROLL,        "SM_CYHSCROLL",        "Hhe horizontaler Rollpfeil",   },
{SM_CYCAPTION,        "SM_CYCAPTION",        "Hhe der Titelleiste",          },
{SM_CXBORDER,         "SM_CXBORDER",         "Rahmenbreite",                  },
{SM_CYBORDER,         "SM_CYBORDER",         "Rahmenhhe",                    },
{SM_CXDLGFRAME,       "SM_CXDLGFRAME",       "Rahmenbreite von Dialogen",     },
{SM_CYDLGFRAME,       "SM_CYDLGFRAME",       "Rahmenhhe von Dialogen",       },
{SM_CYVTHUMB,         "SM_CYVTHUMB",         "Hhe der Marke in Scrollbalken",},
{SM_CXHTHUMB,         "SM_CXHTHUMB",         "Breite d.Marke in Scrollbalken",},
{SM_CXICON,           "SM_CXICON",           "Breite von Piktogrammen",       },
{SM_CYICON,           "SM_CYICON",           "Hhe von Piktogrammen",         },
{SM_CXCURSOR,         "SM_CXCURSOR",         "Breite des Cursors",            },
{SM_CYCURSOR,         "SM_CYCURSOR",         "Hhe des Cursors",              },
{SM_CYMENU,           "SM_CYMENU",           "Hhe der Menleiste",           },
{SM_CXFULLSCREEN,     "SM_CXFULLSCREEN",     "Breite vergrerter Fenster",   },
{SM_CYFULLSCREEN,     "SM_CYFULLSCREEN",     "Hhe vergrerter Fenster",     },
{SM_CYKANJIWINDOW,    "SM_CYKANJIWINDOW",    "Hhe von Kanji-Fenstern",       },
{SM_MOUSEPRESENT,     "SM_MOUSEPRESENT",     "Flag <Maus vorhanden>",         },
{SM_CYVSCROLL,        "SM_CYVSCROLL",        "Hhe vertikaler Rollpfeil",     },
{SM_CXHSCROLL,        "SM_CXHSCROLL",        "Breite horizontaler Rollpfeil", },
{SM_DEBUG,            "SM_DEBUG",            "Flag <Debug-Version>",          },
{SM_SWAPBUTTON,       "SM_SWAPBUTTON",       "Flag <Mausknpfe vertauscht>",  },
{SM_RESERVED1,        "SM_RESERVED1",        "Reserviert",                    },
{SM_RESERVED2,        "SM_RESERVED2",        "Reserviert",                    },
{SM_RESERVED3,        "SM_RESERVED3",        "Reserviert",                    },
{SM_RESERVED4,        "SM_RESERVED4",        "Reserviert",                    },
{SM_CXMIN,            "SM_CXMIN",            "Minimale Fensterbreite",        },
{SM_CYMIN,            "SM_CYMIN",            "Minimale Fensterhhe",          },
{SM_CXSIZE,           "SM_CXSIZE",           "Breite der Zoom-Schaltflchen", },
{SM_CYSIZE,           "SM_CYSIZE",           "Hhe der Zoom-Schaltflchen",   },
{SM_CXFRAME,          "SM_CXFRAME",          "Fensterrahmenbreite",           },
{SM_CYFRAME,          "SM_CYFRAME",          "Fensterrahmenhhe",             },
{SM_CXMINTRACK,       "SM_CXMINTRACK",       "Minimalbreite fr Verschieben", },
{SM_CYMINTRACK,       "SM_CYMINTRACK",       "Minimalhhe fr Verschieben",   },
{SM_CXDOUBLECLK,      "SM_CXDOUBLECLK",      "Max. X-Bew. bei Doppelklicks",  },
{SM_CYDOUBLECLK,      "SM_CYDOUBLECLK",      "Max. Y-Bew. bei Doppelklicks",  },
{SM_CXICONSPACING,    "SM_CXICONSPACING",    "horiz. Abstand von Ikonen",     },
{SM_CYICONSPACING,    "SM_CYICONSPACING",    "vertikal. Abstand von Piktogr.",},
{SM_MENUDROPALIGNMENT,"SM_MENUDROPALIGNMENT","Mens links oder rechts",       },
{SM_PENWINDOWS,       "SM_PENWINDOWS",       "PenWindows-Erw. installiert"    },
};
